IORInterceptorOperations (Java Platform SE 8 )
Keywords: org.omg.PortableInterceptor.IORInterceptorOperations interface
Date: 2016-12-09

org.omg.PortableInterceptor

## Interface IORInterceptorOperations

- All Superinterfaces:
    InterceptorOperations
  All Known Subinterfaces:
    IORInterceptor, IORInterceptor_3_0, IORInterceptor_3_0Operations

      public interface IORInterceptorOperations
      extends InterceptorOperations

  Interceptor used to establish tagged components in the profiles within an IOR.

  In some cases, a portable ORB service implementation may need to add information describing the server's or object's ORB service related capabilities to object references in order to enable the ORB service implementation in the client to function properly.

  This is supported through the `IORInterceptor` and `IORInfo` interfaces.

  See Also:
    `IORInfo`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `establish_components(IORInfo info)` A server side ORB calls the `establish_components` operation on all registered `IORInterceptor` instances when it is assembling the list of components that will be included in the profile or profiles of an object reference.

    - ### Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations

      `destroy, name`

- - ### Method Detail

    - #### establish_components

          void establish_components(IORInfo info)

      A server side ORB calls the `establish_components` operation on all registered `IORInterceptor` instances when it is assembling the list of components that will be included in the profile or profiles of an object reference. This operation is not necessarily called for each individual object reference. In the case of the POA, this operation is called each time POA::create_POA is called. In any case, `establish_components` is guaranteed to be called at least once for each distinct set of server policies.

      An implementation of `establish_components` must not throw exceptions. If it does, the ORB shall ignore the exception and proceed to call the next IOR Interceptor's `establish_components` operation.

      Parameters:
        `info` - The `IORInfo` instance used by the ORB service to query applicable policies and add components to be included in the generated IORs.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.